Page MenuHomePhabricator

Kartographer tests are failing on PHP 7.1
Closed, ResolvedPublic

Description

120:58:51 There were 8 failures:
220:58:51
320:58:51 1) Kartographer\Tests\KartographerTest::testTagData with data set #2 ('{"_4622d19afa2e6480c327846395...\n }]}', '<mapframe width=700 height=40...frame>', '<mapframe> with GeoJSON')
420:58:51 <mapframe> with GeoJSON
520:58:51 Failed asserting that two strings are equal.
620:58:51 --- Expected
720:58:51 +++ Actual
820:58:51 @@ @@
920:58:51 -'{"_4622d19afa2e6480c327846395ed932ba6fa56d4":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"Foo bar","marker-symbol":"1","marker-size":"medium","marker-color":"0050d0"}}]}'
1020:58:51 +'{"_77f4d10f29a8d148fa6635f70dccbe1f49b8b79d":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"Foo bar","marker-symbol":"1","marker-size":"medium","marker-color":"0050d0"}}]}'
1120:58:51
1220:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:70
1320:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
1420:58:51 /workspace/src/maintenance/doMaintenance.php:94
1520:58:51
1620:58:51 2) Kartographer\Tests\KartographerTest::testTagData with data set #3 ('{"_4622d19afa2e6480c327846395...\n }]}', '<mapframe width=700 height=40...frame>', '<mapframe> with GeoJSON array')
1720:58:51 <mapframe> with GeoJSON array
1820:58:51 Failed asserting that two strings are equal.
1920:58:51 --- Expected
2020:58:51 +++ Actual
2120:58:51 @@ @@
2220:58:51 -'{"_4622d19afa2e6480c327846395ed932ba6fa56d4":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"Foo bar","marker-symbol":"1","marker-size":"medium","marker-color":"0050d0"}}]}'
2320:58:51 +'{"_77f4d10f29a8d148fa6635f70dccbe1f49b8b79d":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"Foo bar","marker-symbol":"1","marker-size":"medium","marker-color":"0050d0"}}]}'
2420:58:51
2520:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:70
2620:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
2720:58:51 /workspace/src/maintenance/doMaintenance.php:94
2820:58:51
2920:58:51 3) Kartographer\Tests\KartographerTest::testTagData with data set #10 ('{"_be34df99c99d1efd9eaa8eabc8...n ]}', '<mapframe width=700 height=40...frame>', '<mapframe> with parsable text...iption')
3020:58:51 <mapframe> with parsable text and description
3120:58:51 Failed asserting that two strings are equal.
3220:58:51 --- Expected
3320:58:51 +++ Actual
3420:58:51 @@ @@
3520:58:51 -'{"_be34df99c99d1efd9eaa8eabc87a43f2541a67e5":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"&lt;script&gt;alert(document.cookie);&lt;\/script&gt;","description":"<a href=\"\/w\/index.php?title=Link_to_nowhere&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Link to nowhere (page does not exist)\">Link to nowhere<\/a>","marker-symbol":"1"}}]}'
3620:58:51 +'{"_08d55ba117e92bf93fa8dd234722d6c8dee4f326":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"&lt;script&gt;alert(document.cookie);&lt;\/script&gt;","description":"<a href=\"\/w\/index.php?title=Link_to_nowhere&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Link to nowhere (page does not exist)\">Link to nowhere<\/a>","marker-symbol":"1"}}]}'
3720:58:51
3820:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:70
3920:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
4020:58:51 /workspace/src/maintenance/doMaintenance.php:94
4120:58:51
4220:58:51 4) Kartographer\Tests\KartographerTest::testTagData with data set #11 ('{"_be34df99c99d1efd9eaa8eabc8...n ]}', '<maplink zoom=13 longitude=-1...plink>', '<maplink> with parsable text ...iption')
4320:58:51 <maplink> with parsable text and description
4420:58:51 Failed asserting that two strings are equal.
4520:58:51 --- Expected
4620:58:51 +++ Actual
4720:58:51 @@ @@
4820:58:51 -'{"_be34df99c99d1efd9eaa8eabc87a43f2541a67e5":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"&lt;script&gt;alert(document.cookie);&lt;\/script&gt;","description":"<a href=\"\/w\/index.php?title=Link_to_nowhere&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Link to nowhere (page does not exist)\">Link to nowhere<\/a>","marker-symbol":"1"}}]}'
4920:58:51 +'{"_08d55ba117e92bf93fa8dd234722d6c8dee4f326":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"&lt;script&gt;alert(document.cookie);&lt;\/script&gt;","description":"<a href=\"\/w\/index.php?title=Link_to_nowhere&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Link to nowhere (page does not exist)\">Link to nowhere<\/a>","marker-symbol":"1"}}]}'
5020:58:51
5120:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:70
5220:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
5320:58:51 /workspace/src/maintenance/doMaintenance.php:94
5420:58:51
5520:58:51 5) Kartographer\Tests\KartographerTest::testTagData with data set #13 ('{"_a4d5387a1b7974bf854321421a...\n ]}', '<maplink zoom=13 longitude=10...plink>', 'T134719: XSS via __proto__')
5620:58:51 T134719: XSS via __proto__
5720:58:51 Failed asserting that two strings are equal.
5820:58:51 --- Expected
5920:58:51 +++ Actual
6020:58:51 @@ @@
6120:58:51 -'{"_a4d5387a1b7974bf854321421a36d913101f5724":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"Foo bar"}},{"type":"GeometryCollection","geometries":[{"type":"Point","coordinates":[0,0],"properties":{}}]}]}'
6220:58:51 +'{"_695c966889929c8620ab91ae1dcd2748af56cf89":[{"type":"Feature","geometry":{"type":"Point","coordinates":[-122.39879999999999,37.801299999999998]},"properties":{"title":"Foo bar"}},{"type":"GeometryCollection","geometries":[{"type":"Point","coordinates":[0,0],"properties":{}}]}]}'
6320:58:51
6420:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:70
6520:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
6620:58:51 /workspace/src/maintenance/doMaintenance.php:94
6720:58:51
6820:58:51 6) Kartographer\Tests\KartographerTest::testLiveData with data set #1 (' <maplink latitude=10 longi...frame>', array('_5e4843908b3c3d3b11ac4321edad...882cc2', '_2251fa240a210d2861cc9f44c48d...16ff2f'), true, false, false)
6920:58:51 Failed asserting that two arrays are equal.
7020:58:51 --- Expected
7120:58:51 +++ Actual
7220:58:51 @@ @@
7320:58:51 Array (
7420:58:51 - 0 => '_2251fa240a210d2861cc9f44c48d7e3ba116ff2f'
7520:58:51 - 1 => '_5e4843908b3c3d3b11ac4321edadedde28882cc2'
7620:58:51 + 0 => '_5e4843908b3c3d3b11ac4321edadedde28882cc2'
7720:58:51 + 1 => '_71e34d00c2631ea0bbe69092d556877ef3238814'
7820:58:51
7920:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2021
8020:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:214
8120:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
8220:58:51 /workspace/src/maintenance/doMaintenance.php:94
8320:58:51
8420:58:51 7) Kartographer\Tests\KartographerTest::testLiveData with data set #2 (' <maplink latitude=10 longi...frame>', array('_5e4843908b3c3d3b11ac4321edad...882cc2', '_2251fa240a210d2861cc9f44c48d...16ff2f'), false, true, false)
8520:58:51 Failed asserting that two arrays are equal.
8620:58:51 --- Expected
8720:58:51 +++ Actual
8820:58:51 @@ @@
8920:58:51 Array (
9020:58:51 - 0 => '_2251fa240a210d2861cc9f44c48d7e3ba116ff2f'
9120:58:51 - 1 => '_5e4843908b3c3d3b11ac4321edadedde28882cc2'
9220:58:51 + 0 => '_5e4843908b3c3d3b11ac4321edadedde28882cc2'
9320:58:51 + 1 => '_71e34d00c2631ea0bbe69092d556877ef3238814'
9420:58:51
9520:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2021
9620:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:214
9720:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
9820:58:51 /workspace/src/maintenance/doMaintenance.php:94
9920:58:51
10020:58:51 8) Kartographer\Tests\KartographerTest::testLiveData with data set #3 (' <maplink latitude=10 longi...frame>', array('_5e4843908b3c3d3b11ac4321edad...882cc2', '_2251fa240a210d2861cc9f44c48d...16ff2f'), true, true, false)
10120:58:51 Failed asserting that two arrays are equal.
10220:58:51 --- Expected
10320:58:51 +++ Actual
10420:58:51 @@ @@
10520:58:51 Array (
10620:58:51 - 0 => '_2251fa240a210d2861cc9f44c48d7e3ba116ff2f'
10720:58:51 - 1 => '_5e4843908b3c3d3b11ac4321edadedde28882cc2'
10820:58:51 + 0 => '_5e4843908b3c3d3b11ac4321edadedde28882cc2'
10920:58:51 + 1 => '_71e34d00c2631ea0bbe69092d556877ef3238814'
11020:58:51
11120:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2021
11220:58:51 /workspace/src/extensions/Kartographer/tests/phpunit/KartographerTest.php:214
11320:58:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
11420:58:51 /workspace/src/maintenance/doMaintenance.php:94

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php71-docker/372/consoleFull

You can comment "check experimental" to trigger PHP 7.1 tests to verify the fix.

Event Timeline

Legoktm created this task.Oct 5 2018, 5:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2018, 5:13 AM
MSantos claimed this task.Oct 8 2018, 1:24 PM

Change 465187 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/Kartographer@master] WIP: Fixing Kartographer tests for php7.1

https://gerrit.wikimedia.org/r/465187

Change 465187 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Fix Kartographer tests for php7.1

https://gerrit.wikimedia.org/r/465187

MSantos removed MSantos as the assignee of this task.Oct 9 2018, 2:56 PM
MSantos added a subscriber: MSantos.
MaxSem closed this task as Resolved.Oct 9 2018, 11:02 PM
MaxSem claimed this task.